## kf6-krunner 6.18.0+p24.04+vstable+git20250922.0304

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.19.0") # handled by release scripts
set(KF_DEP_VERSION "6.18.0") # handled by release scripts
project(KRunner VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(KDEPackageAppTemplates)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupQtPluginMacroNames)
include(ECMDeprecationSettings)
include(KDEGitCommitHooks)
include(ECMGenerateQDoc)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(krunner_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/krunner_version.h")
ecm_setup_version(PROJECT
    VARIABLE_PREFIX KRUNNER
    VERSION_HEADER "${krunner_version_header}"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6RunnerConfigVersion.cmake"
    SOVERSION 6
)

# Dependencies
set(REQUIRED_QT_VERSION 6.7.0)

find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Gui)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.18.0
)

find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6ItemModels ${KF_DEP_VERSION})
find_package(KF6WindowSystem ${KF_DEP_VERSION} REQUIRED)

# Subdirectories
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
add_subdirectory(templates)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Runner")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6RunnerConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6RunnerConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KF6RunnerConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KF6RunnerConfigVersion.cmake"
            "${CMAKE_CURRENT_SOURCE_DIR}/KF6KRunnerMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF6RunnerTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF6RunnerTargets.cmake
        NAMESPACE KF6::)

install(FILES "${krunner_version_header}"
        DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KRunner"
        COMPONENT Devel)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-krunner (6.18.0+p24.04+vstable+git20250922.0304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 03:04:53 +0000

kf6-krunner (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:58:33 +0000

kf6-krunner (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:27:09 +0000

kf6-krunner (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:39:32 +0000

kf6-krunner (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:59:45 +0000

kf6-krunner (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:42:19 +0000

kf6-krunner (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:08:40 +0000

kf6-krunner (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:09:46 +0000

kf6-krunner (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:35:20 +0000

kf6-krunner (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:08:28 +0000

kf6-krunner (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:36:41 +0000

kf6-krunner (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:39:32 +0000

kf6-krunner (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:34:32 +0000

kf6-krunner (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:41:19 +0000

kf6-krunner (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:45:58 +0000

kf6-krunner (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:44:29 +0000

kf6-krunner (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:32:55 +1000

kf6-krunner (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:01:27 +0000

kf6-krunner (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:25:29 +0000

kf6-krunner (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-krunner (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-krunner 6.18.0+p24.04+vstable+git20251005.0413

=== debian/changelog ===
kf6-krunner (6.18.0+p24.04+vstable+git20251005.0413-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 04:13:20 +0000

## kf6-krunner 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KRunner VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include(ECMAddTests)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

ecm_add_tests(
    dbusrunnertest.cpp
    runnermatchmethodstest.cpp
    runnermanagerhistorytest.cpp
    runnermanagersinglerunnermodetest.cpp
    runnermanagertest.cpp
    testmetadataconversion.cpp
    threadingtest.cpp
    LINK_LIBRARIES Qt6::Gui Qt6::DBus Qt6::Test KF6::Runner KF6::ConfigCore
)

kcoreaddons_add_plugin(fakerunnerplugin SOURCES plugins/fakerunnerplugin.cpp INSTALL_NAMESPACE "krunnertest" STATIC)
target_link_libraries(fakerunnerplugin KF6Runner Qt6::Gui)

kcoreaddons_add_plugin(suspendedrunnerplugin SOURCES plugins/suspendedrunner.cpp INSTALL_NAMESPACE "krunnertest2" STATIC)
target_link_libraries(suspendedrunnerplugin KF6Runner)

kcoreaddons_target_static_plugins(runnermanagerhistorytest NAMESPACE krunnertest)
kcoreaddons_target_static_plugins(runnermanagertest NAMESPACE krunnertest)
kcoreaddons_target_static_plugins(runnermanagertest NAMESPACE krunnertest2)
kcoreaddons_target_static_plugins(threadingtest NAMESPACE krunnertest)

add_executable(testremoterunner)
qt_add_dbus_adaptor(demoapp_dbus_adaptor_SRCS "../src/data/org.kde.krunner1.xml" plugins/testremoterunner.h TestRemoteRunner)
target_sources(testremoterunner PRIVATE plugins/testremoterunner.cpp ${demoapp_dbus_adaptor_SRCS})
target_link_libraries(testremoterunner
    Qt6::DBus
    Qt6::Gui
    KF6::Runner
)

include(../KF6KRunnerMacros.cmake)
krunner_configure_test(dbusrunnertest testremoterunner DESKTOP_FILE "${CMAKE_CURRENT_SOURCE_DIR}/plugins/dbusrunnertest.desktop")
krunner_configure_test(runnermanagersinglerunnermodetest testremoterunner DESKTOP_FILE "${CMAKE_CURRENT_SOURCE_DIR}/plugins/dbusrunnertest.desktop")
krunner_configure_test(runnermanagertest testremoterunner DESKTOP_FILE "${CMAKE_CURRENT_SOURCE_DIR}/plugins/dbusrunnertest.desktop")
krunner_configure_test(threadingtest testremoterunner DESKTOP_FILE "${CMAKE_CURRENT_SOURCE_DIR}/plugins/dbusrunnertest.desktop")

find_package(Qt6 ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Widgets)
if (TARGET Qt6::Widgets)
    add_executable(modelwidgettest modelwidgettest.cpp)
    target_link_libraries(modelwidgettest KF6::Runner Qt6::Widgets)
    kcoreaddons_target_static_plugins(modelwidgettest NAMESPACE krunnertest)

endif()
add_executable(pluginbenchmarker pluginbenchmarker.cpp)
target_link_libraries(pluginbenchmarker KF6::Runner)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

add_library(KF6Runner SHARED)
add_library(KF6::Runner ALIAS KF6Runner)

set_target_properties(KF6Runner PROPERTIES
    VERSION     ${KRUNNER_VERSION}
    SOVERSION   ${KRUNNER_SOVERSION}
    EXPORT_NAME Runner
)

target_sources(KF6Runner PRIVATE
    abstractrunner.cpp
    abstractrunner.h
    abstractrunnertest.h
    dbusrunner.cpp
    dbusrunner_p.h
    dbusutils_p.h
    querymatch.cpp
    querymatch.h
    runnercontext.cpp
    runnercontext.h
    runnermanager.cpp
    runnermanager.h
    runnersyntax.cpp
    runnersyntax.h
    action.h
    action.cpp

    model/runnerresultsmodel.cpp
    model/runnerresultsmodel_p.h
    model/resultsmodel.cpp
    model/resultsmodel.h
)
ecm_qt_declare_logging_category(KF6Runner
    HEADER krunner_debug.h
    IDENTIFIER KRUNNER
    CATEGORY_NAME kf.runner
    OLD_CATEGORY_NAMES org.kde.krunner
    DESCRIPTION "KRunner"
    EXPORT KRUNNER
)
set_property(SOURCE "data/org.kde.krunner1.xml" PROPERTY INCLUDE dbusutils_p.h)

ecm_generate_export_header(KF6Runner
    BASE_NAME KRunner
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6Runner INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KRunner>")

target_link_libraries(KF6Runner
    PUBLIC
        Qt6::Core
        KF6::CoreAddons # KPluginFactory
    PRIVATE
        Qt6::DBus
        Qt6::Gui
        KF6::ConfigCore
        KF6::I18n
        KF6::ItemModels
        KF6::WindowSystem
)
ecm_generate_headers(KRunner_CamelCase_HEADERS
  HEADER_NAMES
    AbstractRunner
    Action
    RunnerContext
    RunnerManager
    RunnerSyntax
    QueryMatch
    AbstractRunnerTest

    PREFIX KRunner
    REQUIRED_HEADERS KRunner_HEADERS
)
ecm_generate_headers(KRunner_CamelCase_HEADERS
  HEADER_NAMES ResultsModel
    PREFIX KRunner
    REQUIRED_HEADERS KRunner_HEADERS
    RELATIVE model
)

# Install files

install(TARGETS KF6Runner
        EXPORT KF6RunnerTargets
        ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${KRunner_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KRunner/KRunner
        COMPONENT Devel)

install(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/krunner_export.h
            ${KRunner_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KRunner/krunner
        COMPONENT Devel)

ecm_qt_install_logging_categories(
    EXPORT KRUNNER
    FILE krunner.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ecm_generate_qdoc(KF6Runner krunner.qdocconf)

install(FILES
   "data/org.kde.krunner1.xml"
   DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
   RENAME kf6_org.kde.krunner1.xml)

=== debian/changelog ===
kf6-krunner (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:07:28 +0100

=== debian/control ===
Source: kf6-krunner
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               libkf6config-dev (>= 6.19.0~),
               libkf6coreaddons-dev (>= 6.19.0~),
               libkf6i18n-dev (>= 6.19.0~),
               libkf6itemmodels-dev (>= 6.19.0~),
               libkf6windowsystem-dev (>= 6.19.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/krunner
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-krunner
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-krunner
Rules-Requires-Root: no

Package: libkf6runner-dev
Section: libdevel
Architecture: any
Depends: extra-cmake-modules (>= 6.19.0~),
         libkf6coreaddons-dev (>= 6.19.0~),
         libkf6runner6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6runner-doc (= ${source:Version}),
Description: development files for krunner
 An assortment of text-related widgets.
 .
 Contains development files for krunner.

Package: libkf6runner-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Used to write plugins loaded at runtime called "Runners" (documentation)
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6runner6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Used to write plugins loaded at runtime called "Runners"
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable auto test at build time
	:

## kf6-krunner 6.19.0+p24.04+vstable+git20251008.1021

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KRunner VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-krunner (6.19.0+p24.04+vstable+git20251008.1021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 10:21:36 +0000

kf6-krunner (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:06:47 +0000

## kf6-krunner 6.19.0+p24.04+vstable+git20251022.0026

=== debian/changelog ===
kf6-krunner (6.19.0+p24.04+vstable+git20251022.0026-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:26:40 +0000

## kf6-krunner 6.19.0+p24.04+vunstable+git20251020.0237

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
 )
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Gui)

=== debian/changelog ===
kf6-krunner (6.19.0+p24.04+vunstable+git20251020.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:37:33 +0000

## kf6-krunner 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KRunner VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-krunner (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:25:04 +0100

=== debian/control ===
Source: kf6-krunner
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6itemmodels-dev (>= 6.20.0~),
               libkf6windowsystem-dev (>= 6.20.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/krunner
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-krunner
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-krunner.git
Rules-Requires-Root: no

Package: libkf6runner-dev
Section: libdevel
Architecture: any
Depends: extra-cmake-modules (>= 6.20.0~),
         libkf6coreaddons-dev (>= 6.20.0~),
         libkf6runner6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6runner-doc (= ${source:Version}),
Description: development files for krunner
 An assortment of text-related widgets.
 .
 Contains development files for krunner.

Package: libkf6runner-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Used to write plugins loaded at runtime called "Runners" (documentation)
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6runner6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Used to write plugins loaded at runtime called "Runners"
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.

## kf6-krunner 6.20.0+p24.04+vstable+git20251206.0238

=== debian/changelog ===
kf6-krunner (6.20.0+p24.04+vstable+git20251206.0238-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 02:38:11 +0000

kf6-krunner (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:48 +1000

## kf6-krunner 6.20.0+p24.04+vunstable+git20251122.0719

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KRunner VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-krunner (6.20.0+p24.04+vunstable+git20251122.0719-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 07:19:29 +0000

## kf6-krunner 6.20.0+p24.04+vunstable+git20251206.0257

=== debian/changelog ===
kf6-krunner (6.20.0+p24.04+vunstable+git20251206.0257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 02:57:31 +0000

## kf6-krunner 6.21.0

=== debian/changelog ===
kf6-krunner (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:52:59 +0000

kf6-krunner (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:15:41 +0000

=== debian/control ===
Source: kf6-krunner
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.21.0~),
               libkf6config-dev (>= 6.21.0~),
               libkf6coreaddons-dev (>= 6.21.0~),
               libkf6i18n-dev (>= 6.21.0~),
               libkf6itemmodels-dev (>= 6.21.0~),
               libkf6windowsystem-dev (>= 6.21.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-tools-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/krunner
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-krunner
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-krunner
Rules-Requires-Root: no

Package: libkf6runner-dev
Section: libdevel
Architecture: any
Depends: extra-cmake-modules (>= 6.21.0~),
         libkf6coreaddons-dev (>= 6.21.0~),
         libkf6runner6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6runner-doc (= ${source:Version}),
Description: development files for krunner
 An assortment of text-related widgets.
 .
 Contains development files for krunner.

Package: libkf6runner-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Used to write plugins loaded at runtime called "Runners" (documentation)
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6runner6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Used to write plugins loaded at runtime called "Runners"
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.

## kf6-krunner 6.21.0+p24.04+vstable+git20251207.0714

=== debian/changelog ===
kf6-krunner (6.21.0+p24.04+vstable+git20251207.0714-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 07:14:25 +0000

kf6-krunner (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:11:09 +1000

## kf6-krunner 6.21.0+p24.04+vstable+git20251226.0156

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KRunner VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -46,8 +46,8 @@
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Gui)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.18.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)

=== debian/changelog ===
kf6-krunner (6.21.0+p24.04+vstable+git20251226.0156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 01:56:39 +0000

## kf6-krunner 6.21.0+p24.04+vstable+git20260103.0211

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KRunner VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-krunner (6.21.0+p24.04+vstable+git20260103.0211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:11:16 +0000

## kf6-krunner 6.21.0+p24.04+vunstable+git20251207.0621

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KRunner VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -46,8 +46,8 @@
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Gui)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.11.0
-    KF 6.21.0
+    QT 6.10.0
+    KF 6.18.0
 )
 
 find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)

=== debian/changelog ===
kf6-krunner (6.21.0+p24.04+vunstable+git20251207.0621-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 06:21:32 +0000

## kf6-krunner 6.22.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -59,6 +59,7 @@
     PUBLIC
         Qt6::Core
         KF6::CoreAddons # KPluginFactory
+        KF6::ConfigCore
     PRIVATE
         Qt6::DBus
         Qt6::Gui

=== debian/changelog ===
kf6-krunner (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:32:11 +0000

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
-               libkf6itemmodels-dev (>= 6.21.0~),
-               libkf6windowsystem-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6itemmodels-dev (>= 6.22.0~),
+               libkf6windowsystem-dev (>= 6.22.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-tools-dev (>= 6.8.0~),
@@ -28,8 +28,8 @@
 Package: libkf6runner-dev
 Section: libdevel
 Architecture: any
-Depends: extra-cmake-modules (>= 6.21.0~),
-         libkf6coreaddons-dev (>= 6.21.0~),
+Depends: extra-cmake-modules (>= 6.22.0~),
+         libkf6coreaddons-dev (>= 6.22.0~),
          libkf6runner6 (= ${binary:Version}),
          qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},

## kf6-krunner 6.22.0+p24.04+vstable+git20260106.0902

=== debian/changelog ===
kf6-krunner (6.22.0+p24.04+vstable+git20260106.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 09:02:45 +0000

kf6-krunner (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:42:30 +1000

## kf6-krunner 6.22.0+p24.04+vstable+git20260111.0123

=== debian/changelog ===
kf6-krunner (6.22.0+p24.04+vstable+git20260111.0123-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:23:36 +0000

## kf6-krunner 6.22.0+p24.04+vstable+git20260124.0042

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # SPDX-FileCopyrightText: KDE Contributors
 # SPDX-License-Identifier: BSD-2-Clause
 
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KRunner VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -46,8 +46,8 @@
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Gui)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.18.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)

=== debian/changelog ===
kf6-krunner (6.22.0+p24.04+vstable+git20260124.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 24 Jan 2026 00:42:46 +0000

## kf6-krunner 6.22.0+p24.04+vunstable+git20260123.0344

=== debian/changelog ===
kf6-krunner (6.22.0+p24.04+vunstable+git20260123.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:44:44 +0000

## kf6-krunner 6.22.0+p24.04+vunstable+git20260126.0747

=== debian/changelog ===
kf6-krunner (6.22.0+p24.04+vunstable+git20260126.0747-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:47:03 +0000

## kf6-krunner 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project(KRunner VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-krunner (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Drop armel bits, as that architecture was discontinued.
  * Reenable build-time tests.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.
  * Update symbols from build for 6.23.0.
  * Refresh copyright information.

  [ Helmut Grohne ]
  * Fix FTCBFS: Always build application templates. (Closes: #1122829)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 22:34:43 +0100

=== debian/control ===
Source: kf6-krunner
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.27~),
               dbus-daemon <!nocheck>,
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               libkf6config-dev (>= 6.23.0~),
               libkf6coreaddons-dev (>= 6.23.0~),
               libkf6i18n-dev (>= 6.23.0~),
               libkf6itemmodels-dev (>= 6.23.0~),
               libkf6windowsystem-dev (>= 6.23.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/krunner
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-krunner
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-krunner.git

Package: libkf6runner-dev
Section: libdevel
Architecture: any
Depends: extra-cmake-modules (>= 6.23.0~),
         libkf6coreaddons-dev (>= 6.23.0~),
         libkf6runner6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6runner-doc (= ${source:Version}),
Description: development files for krunner
 An assortment of text-related widgets.
 .
 Contains development files for krunner.

Package: libkf6runner-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Used to write plugins loaded at runtime called "Runners" (documentation)
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6runner6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Used to write plugins loaded at runtime called "Runners"
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DKDE_INSTALL_APP_TEMPLATES=ON

override_dh_auto_test:
	xvfb-run -a dbus-run-session dh_auto_test -Skf6 --no-parallel
